Get All Transactions
curl --request GET \
--url https://api.linkio.world/transactions/v2/fetch_all_transactions \
--header 'ngnc-sec-key: <api-key>'import requests
url = "https://api.linkio.world/transactions/v2/fetch_all_transactions"
headers = {"ngnc-sec-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ngnc-sec-key': '<api-key>'}};
fetch('https://api.linkio.world/transactions/v2/fetch_all_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Success",
"message": "Transactions retrieved.",
"summary": {
"total_transactions": 150,
"total_deposits": 90,
"total_withdrawals": 60
},
"transactions": [
{
"business_id": "<string>",
"transaction_reference": "link-otc-12345678",
"transaction_type": "onramp",
"amount": 123,
"currency": "NGN",
"stable": "USDC",
"payout_amount": 123,
"rate": 123,
"payment_method": "NIP",
"transaction_status": "pending",
"transaction_date": "June 05, 2026 14:30:00"
}
],
"pagination": {
"total": 347,
"page": 1,
"limit": 20,
"total_pages": 18
}
}{
"status": "Failed",
"message": "Invalid 'from' date."
}Transactions
Get All Transactions
Retrieve paginated onramp and/or offramp transactions for your business. Supports filtering by transaction type, status (Completed, Failed, Cancelled), and date range. Results are sorted newest first.
GET
/
transactions
/
v2
/
fetch_all_transactions
Get All Transactions
Authorizations
Query Parameters
Filter by transaction direction. Omit to return both onramp and offramp transactions.
Available options:
onramp, offramp Page number (1-based). Defaults to 1.
Required range:
x >= 1Number of transactions per page. Defaults to 20, maximum 100.
Required range:
1 <= x <= 100Filter by transaction status. Omit to return transactions of all statuses.
Available options:
Completed, Failed, Cancelled Start of date range (ISO 8601, e.g. 2026-01-01). Inclusive.
Example:
"2026-01-01"
End of date range (ISO 8601, e.g. 2026-06-30). Inclusive — covers the full day up to 23:59:59.
Example:
"2026-06-30"

